package com.tzld.piaoquan.tencentad.common.enums;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum AdMuseTaskStatusEnum {

    DEFAULT(0, "待处理"),
    CREATE_SUCCESS(1, "创建成功"),
    CREATE_FAIL(2, "创建失败"),
    VERIFY_SUCCESS(3, "审核通过"),
    VERIFY_FAIL(4, "审核不通过"),
    UPLOAD_SUCCESS(5, "上传成功"),
    UPLOAD_FAIL(6, "上传失败")

    ;


    final Integer status;

    final String desc;

    AdMuseTaskStatusEnum(Integer status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    public static AdMuseTaskStatusEnum getByStatus(Integer status) {
        for (AdMuseTaskStatusEnum adMuseTaskStatusEnum : AdMuseTaskStatusEnum.values()) {
            if (Objects.equals(adMuseTaskStatusEnum.getStatus(), status)) {
                return adMuseTaskStatusEnum;
            }
        }
        return null;
    }


}
