package com.tzld.piaoquan.tencentad.service;

import com.tzld.piaoquan.tencentad.common.base.CommonResponse;
import com.tzld.piaoquan.tencentad.model.po.AdMuseTask;
import com.tzld.piaoquan.tencentad.model.po.AdVideoImage;
import com.tzld.piaoquan.tencentad.model.vo.AdMuseImageParam;
import com.tzld.piaoquan.tencentad.model.vo.AdMuseImageVo;
import com.tzld.piaoquan.tencentad.model.vo.AdVideoImageVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface AdMuseTaskService {

    void addMuseTask(String accountId, String accessToken, AdVideoImage adVideoImage);

    List<AdMuseTask> getAdMuseTask(Long adVideoId, Integer status);

    List<AdMuseTask> getAdMuseTask(Long adVideoId, Integer status, List<Long> adMuseTaskIds);

    boolean getMuseTaskRes(String accountId, String accessToken, AdMuseTask adMuseTask, String caption);

    long selectCount(Long adVideoId, List<Integer> status);

    CommonResponse<List<AdMuseImageVo>> getAdMuseImageVoList(Long adVideoId);

    CommonResponse<Void> updateMuseTask(AdMuseImageParam adMuseImageParam);

    CommonResponse<Void> uploadMuseImage(MultipartFile file, Long id);
}
